#!/bin/sh

set -eu

out="$AUTOPKGTEST_TMP/out"

## main
for f in `ls -d debian/tests/data/*`; do
    echo "Enc/Dec file $f ..."

    codegroup -e $f $out.5l
    codegroup -d $out.5l $out.dec

    cmp -s $f $out.dec || { echo "ERROR: $f differs from $out.dec"; exit 1;}

    echo "\t Success."
done
